Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class CheckIndex.Status.SegmentInfoStatus

    java.lang.Object
      org.apache.lucene.index.CheckIndex.Status.SegmentInfoStatus

Enclosing class:
  CheckIndex.Status

    public static class CheckIndex.Status.SegmentInfoStatus

extends Object

Holds the status of each segment in the index. See `CheckIndex.Status.segmentInfos`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Field Summary
`Codec` | `codec` Codec used to read this segment.
`boolean` | `compound` True if segment is compound file format.
`long` | `deletionsGen` Current deletions generation.
`Map<String,String>` | `diagnostics` Map that includes certain debugging details that IndexWriter records into each segment it creates
`int` | `docCount` Document count (does not take deletions into account).
`boolean` | `docStoreCompoundFile` True if the shared doc store files are compound file format.
`int` | `docStoreOffset` Doc store offset, if this segment shares the doc store files (stored fields and term vectors) with other segments.
`String` | `docStoreSegment` String of the shared doc store segment, or null if this segment does not share the doc store files.
`CheckIndex.Status.DocValuesStatus` | `docValuesStatus` Status for testing of DocValues (null if DocValues could not be tested).
`CheckIndex.Status.FieldNormStatus` | `fieldNormStatus` Status for testing of field norms (null if field norms could not be tested).
`boolean` | `hasDeletions` True if this segment has pending deletions.
`String` | `name` Name of the segment.
`int` | `numDeleted` Number of deleted documents.
`int` | `numFiles` Number of files referenced by this segment.
`boolean` | `openReaderPassed` True if we were able to open an AtomicReader on this segment.
`double` | `sizeMB` Net size (MB) of the files referenced by this segment.
`CheckIndex.Status.StoredFieldStatus` | `storedFieldStatus` Status for testing of stored fields (null if stored fields could not be tested).
`CheckIndex.Status.TermIndexStatus` | `termIndexStatus` Status for testing of indexed terms (null if indexed terms could not be tested).
`CheckIndex.Status.TermVectorStatus` | `termVectorStatus` Status for testing of term vectors (null if term vectors could not be tested).

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public String name

  Name of the segment.

### codec

    public Codec codec

  Codec used to read this segment.

### docCount

    public int docCount

  Document count (does not take deletions into account).

### compound

    public boolean compound

  True if segment is compound file format.

### numFiles

    public int numFiles

  Number of files referenced by this segment.

### sizeMB

    public double sizeMB

  Net size (MB) of the files referenced by this segment.

### docStoreOffset

    public int docStoreOffset

  Doc store offset, if this segment shares the doc store files (stored fields and term vectors) with other segments. This is -1 if it does not share.

### docStoreSegment

    public String docStoreSegment

  String of the shared doc store segment, or null if this segment does not share the doc store files.

### docStoreCompoundFile

    public boolean docStoreCompoundFile

  True if the shared doc store files are compound file format.

### hasDeletions

    public boolean hasDeletions

  True if this segment has pending deletions.

### deletionsGen

    public long deletionsGen

  Current deletions generation.

### numDeleted

    public int numDeleted

  Number of deleted documents.

### openReaderPassed

    public boolean openReaderPassed

  True if we were able to open an AtomicReader on this segment.

### diagnostics

    public Map<String,String> diagnostics

  Map that includes certain debugging details that IndexWriter records into each segment it creates

### fieldNormStatus

    public CheckIndex.Status.FieldNormStatus fieldNormStatus

  Status for testing of field norms (null if field norms could not be tested).

### termIndexStatus

    public CheckIndex.Status.TermIndexStatus termIndexStatus

  Status for testing of indexed terms (null if indexed terms could not be tested).

### storedFieldStatus

    public CheckIndex.Status.StoredFieldStatus storedFieldStatus

  Status for testing of stored fields (null if stored fields could not be tested).

### termVectorStatus

    public CheckIndex.Status.TermVectorStatus termVectorStatus

  Status for testing of term vectors (null if term vectors could not be tested).

### docValuesStatus

    public CheckIndex.Status.DocValuesStatus docValuesStatus

  Status for testing of DocValues (null if DocValues could not be tested).

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.